Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005487 [JEDI VCL] 00 JVCL Components minor always 2011-02-18 10:20 2011-09-21 14:10
Reporter ricolebo View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005487: JvDBCombobox and UpdateFieldImmediatelly
Description To show the bug, set option UpdateFieldImmediatelly to JvDBCombobox and press Escape

When Escape, FDadalink is not always in edit mode, so FDataLink.Editing must be tested before do FDataLink.Field.Value := FDataLink.Field.OldValue;
 
In procedure TJvCustomDBComboBox.KeyPress(var Key: Char) change
if UpdateFieldImmediatelly and (FDataLink.Field <> nil) then ...
by
if FDataLink.Editing and UpdateFieldImmediatelly and (FDataLink.Field <> nil) then ...

Thank you
Additional Information
Tags No tags attached.
Attached Files zip file icon Project1.zip [^] (1,697 bytes) 2011-02-21 09:24

- Relationships

-  Notes
(0018396)
jfudickar (developer)
2011-02-20 19:35

Could you create a sample app and add it app to this entry please.

Regards
Jens
(0018399)
ricolebo (reporter)
2011-02-21 09:26

I forget to say to post data before escape to see error!

I join a sample app
(0018733)
AHUser (developer)
2011-06-11 01:43

Fixed in svn revision 13057.

- Issue History
Date Modified Username Field Change
2011-02-18 10:20 ricolebo New Issue
2011-02-20 19:35 jfudickar Note Added: 0018396
2011-02-20 19:35 jfudickar Status new => feedback
2011-02-21 09:24 ricolebo File Added: Project1.zip
2011-02-21 09:26 ricolebo Note Added: 0018399
2011-06-07 17:39 obones Status feedback => acknowledged
2011-06-11 01:43 AHUser Note Added: 0018733
2011-06-11 01:43 AHUser Status acknowledged => resolved
2011-06-11 01:43 AHUser Fixed in Version => Daily / SVN
2011-06-11 01:43 AHUser Resolution open => fixed
2011-06-11 01:43 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker